'use server';
import Link from 'next/link';
import { Button } from '@/components/ui';
import { type ComponentProps } from 'react';

type SignInLinkButtonProps = Omit<ComponentProps<typeof Button>, 'asChild'>;

export const SignInLinkButton = async (props: SignInLinkButtonProps) => {
  return (
    <Button asChild {...props}>
      <Link href='/sign-in'>Sign In</Link>
    </Button>
  );
};
