import { SignInCard } from '@/components/default/auth/cards/client/sign-in';
import { ThemeToggle } from '@/lib/hooks/context';

export default function HomePage() {
  return (
    <main className='flex min-h-screen flex-col items-center justify-center'>
      <div className='container flex flex-col items-center justify-center gap-12 px-4 py-16'>
        <h1 className='text-5xl font-extrabold tracking-tight text-white sm:text-[5rem]'>
          Create <span className='text-[hsl(280,100%,70%)]'>T3</span> App
        </h1>
        <ThemeToggle />
        <SignInCard/>
      </div>
    </main>
  );
}
