import { clsx, type ClassValue } from 'clsx';
import { twMerge } from 'tailwind-merge';

export const cn = (...inputs: ClassValue[]) => {
  return twMerge(clsx(inputs));
};

export const ccn = ({
  context,
  className,
  on = '',
  off = '',
}: {
  context: boolean;
  className: string;
  on: string;
  off: string;
}) => {
  return twMerge(className, context ? on : off);
};
